/** GSLDAPWESchemaElementBase.m - <title>GSLDAPWESchemaElementBase: Class GSLDAPWESchemaElementBase</title>

   Copyright (C) 2003 Free Software Foundation, Inc.
   
   Written by:  Manuel Guesdon <mguesdon@orange-concept.com>
   Date: 	Jan 2003

   $Revision: 16031 $
   $Date: 2003-02-21 18:53:15 +0100 (Fri, 21 Feb 2003) $
   $Id: GSLDAPWESchemaElementBase.m 16031 2003-02-21 17:53:15Z mguesdon $
   
   This file is part of the GNUstep GSLDAPWESchemaElementBase application.
   
   <license>
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   </license>
**/

#include <GSWeb/GSWeb.h>
#include <gsldap/GSLDAPCom.h>
#include "GSLDAPWESchemaElementBase.h"
#include "GSLDAPWESession.h"

//====================================================================
@implementation GSLDAPWESchemaElementBase

-(void)dealloc
{
  DESTROY(_ldapSchema);
  DESTROY(_elementName);
  [super dealloc];
};

-(GSLDAPSchema*)ldapSchema
{
  if (!_ldapSchema)
    {
      GSLDAPConnection* ldapConn=[(GSLDAPWESession*)[self session]ldapConnection];
      ASSIGN(_ldapSchema,[ldapConn schema]);
    };
  return _ldapSchema;
};

-(void)setElementName:(NSString*)elementName
{
  ASSIGN(_elementName,elementName);
}

@end

